package com.luticate.auth.business;

import com.luticate.auth.dataaccess.LuticateUsersDataAccess;
import com.luticate.auth.dbo.LuFullLoginDbo;
import com.luticate.auth.dbo.LuPermissionDbo;
import com.luticate.utils.business.LuBusinessManager;
import com.luticate.utils.business.LuPromise;
import com.luticate.auth.dbo.LuLoginDbo;
import com.luticate.utils.dbo.LuDataAccessConfigDbo;

/**
 *
 * Created by robin on 11/27/15.
 */
public class LuticateUsersBusiness extends LuBusinessManager {

    public static LuPromise<LuLoginDbo> login(LuDataAccessConfigDbo config, String username, String password)
    {
        return LuticateUsersDataAccess.login(config, username, password);
    }

    public static LuPromise<LuLoginDbo> logout(LuDataAccessConfigDbo config)
    {
        return LuticateUsersDataAccess.logout(config);
    }
}
